<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Tactic Arena: include/SDL/SDL_gesture.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="icon.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Tactic Arena
   </div>
   <div id="projectbrief">Reproduction of Tactic Arena with Custom features</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_bb71c587d4eee030bda30f2f35ebd6b7.html">SDL</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">SDL_gesture.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_s_d_l__stdinc_8h_source.html">SDL_stdinc.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_s_d_l__error_8h_source.html">SDL_error.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_s_d_l__video_8h_source.html">SDL_video.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_s_d_l__touch_8h_source.html">SDL_touch.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="begin__code_8h_source.html">begin_code.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="close__code_8h_source.html">close_code.h</a>&quot;</code><br />
</div>
<p><a href="_s_d_l__gesture_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:a6c06ab0de82701c94809da9739ff8ac3"><td class="memItemLeft" align="right" valign="top"><a id="a6c06ab0de82701c94809da9739ff8ac3"></a>
typedef Sint64&#160;</td><td class="memItemRight" valign="bottom"><b>SDL_GestureID</b></td></tr>
<tr class="separator:a6c06ab0de82701c94809da9739ff8ac3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ad06776e2e199d5d48e466a0ecbbb06c3"><td class="memItemLeft" align="right" valign="top"><a id="ad06776e2e199d5d48e466a0ecbbb06c3"></a>
DECLSPEC int SDLCALL&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_s_d_l__gesture_8h.html#ad06776e2e199d5d48e466a0ecbbb06c3">SDL_RecordGesture</a> (SDL_TouchID touchId)</td></tr>
<tr class="memdesc:ad06776e2e199d5d48e466a0ecbbb06c3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Begin Recording a gesture on the specified touch, or all touches (-1) <br /></td></tr>
<tr class="separator:ad06776e2e199d5d48e466a0ecbbb06c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad37b554c91a5fffe3fc1dc3094db1b89"><td class="memItemLeft" align="right" valign="top"><a id="ad37b554c91a5fffe3fc1dc3094db1b89"></a>
DECLSPEC int SDLCALL&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_s_d_l__gesture_8h.html#ad37b554c91a5fffe3fc1dc3094db1b89">SDL_SaveAllDollarTemplates</a> (<a class="el" href="struct_s_d_l___r_wops.html">SDL_RWops</a> *dst)</td></tr>
<tr class="memdesc:ad37b554c91a5fffe3fc1dc3094db1b89"><td class="mdescLeft">&#160;</td><td class="mdescRight">Save all currently loaded Dollar Gesture templates. <br /></td></tr>
<tr class="separator:ad37b554c91a5fffe3fc1dc3094db1b89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acef0242f4c4b7401509bc533864629ad"><td class="memItemLeft" align="right" valign="top"><a id="acef0242f4c4b7401509bc533864629ad"></a>
DECLSPEC int SDLCALL&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_s_d_l__gesture_8h.html#acef0242f4c4b7401509bc533864629ad">SDL_SaveDollarTemplate</a> (SDL_GestureID gestureId, <a class="el" href="struct_s_d_l___r_wops.html">SDL_RWops</a> *dst)</td></tr>
<tr class="memdesc:acef0242f4c4b7401509bc533864629ad"><td class="mdescLeft">&#160;</td><td class="mdescRight">Save a currently loaded Dollar Gesture template. <br /></td></tr>
<tr class="separator:acef0242f4c4b7401509bc533864629ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83cbaebec0c418b2fc08bbfeeed7d526"><td class="memItemLeft" align="right" valign="top"><a id="a83cbaebec0c418b2fc08bbfeeed7d526"></a>
DECLSPEC int SDLCALL&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_s_d_l__gesture_8h.html#a83cbaebec0c418b2fc08bbfeeed7d526">SDL_LoadDollarTemplates</a> (SDL_TouchID touchId, <a class="el" href="struct_s_d_l___r_wops.html">SDL_RWops</a> *src)</td></tr>
<tr class="memdesc:a83cbaebec0c418b2fc08bbfeeed7d526"><td class="mdescLeft">&#160;</td><td class="mdescRight">Load Dollar Gesture templates from a file. <br /></td></tr>
<tr class="separator:a83cbaebec0c418b2fc08bbfeeed7d526"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Include file for SDL gesture event handling. </p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
